| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxBitmapDataObject Class Reference
Clipboard and Drag & Drop

`#include <wx/dataobj.h>`

Inheritance diagram for wxBitmapDataObject:
[legend]

## Detailed Description

wxBitmapDataObject is a specialization of wxDataObject for bitmap data.

It can be used without change to paste data into the wxClipboard or a wxDropSource. A user may wish to derive a new class from this class for providing a bitmap on-demand in order to minimize memory consumption when offering data in several formats, such as a bitmap and GIF.

This class may be used as is, but GetBitmap() may be overridden to increase efficiency.

##

Library: wxCore
Category: Clipboard and Drag & Drop

See Also
  Drag and Drop Overview, wxDataObject, wxDataObjectSimple, wxFileDataObject, wxTextDataObject, wxDataObject

## Public Member Functions

| wxBitmapDataObject (const wxBitmap &bitmap=wxNullBitmap)
| Constructor, optionally passing a bitmap (otherwise use SetBitmap() later).
virtual wxBitmap | GetBitmap () const
| Returns the bitmap associated with the data object.
virtual void | SetBitmap (const wxBitmap &bitmap)
| Sets the bitmap associated with the data object.
Public Member Functions inherited from wxDataObjectSimple
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat().
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success.
virtual size_t | GetDataSize () const
| Gets the size of our data.
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object.
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success.
void | SetFormat (const wxDataFormat &format)
| Sets the supported format.
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor.
virtual | ~wxDataObject ()
| Destructor.
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats.
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf.
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format.
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data.
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it.
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf.
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported.

## Additional Inherited Members

Public Types inherited from wxDataObject
enum | Direction { Get = 0x01, Set = 0x02, Both = 0x03 }

## Constructor & Destructor Documentation

wxBitmapDataObject::wxBitmapDataObject | ( | const wxBitmap & | bitmap = `wxNullBitmap` | ) |

Constructor, optionally passing a bitmap (otherwise use SetBitmap() later).

## Member Function Documentation

virtual wxBitmap wxBitmapDataObject::GetBitmap | ( |  | ) | const

virtual

Returns the bitmap associated with the data object.

You may wish to override this method when offering data on-demand, but this is not required by wxWidgets' internals. Use this method to get data in bitmap form from the wxClipboard.

virtual void wxBitmapDataObject::SetBitmap | ( | const wxBitmap & | bitmap | ) |

virtual

Sets the bitmap associated with the data object.

This method is called when the data object receives data. Usually there will be no reason to override this function.